FSTRIM(8)

NOM
fstrim - Abandonner les blocs non utilisés d'un système de fichier monté

SYNOPSIS
fstrim [-o décalage] [-l longueur] [-m extent-mini-libre] [-v] point_de_montage

DESCRIPTION
fstrim est utilisé sur un système de fichier monté pour abandonner (ou « rogner ») les blocs qui ne sont pas utilisés par le système de fichier. C'est pratique pour les SSD (« solid-state drive ») et l'allocation fine et dynamique (« thinly-provisioned storage »).

Par défaut, fstrim abandonnera tous les blocs non utilisés du système de fichiers. Les options permettent de modifier ce comportement en fonction d'intervalle ou de taille, conformément aux explications suivantes.

Le paramètre point_de_montage est le chemin du répertoire où le système de fichiers est monté.

OPTIONS
Les paramètres décalage, longueur et extent-mini-libre peuvent être suivis des suffixes binaires (2^n) KiB, MiB, GiB, TiB, PiB et EiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou décimaux (10^n) KB, MB, GB, PB et EB.

-h, --help
    Afficher l'aide puis quitter.

-o, --offset décalage
    Le décalage en octet dans le système de fichiers à partir duquel commencer à chercher les blocs libres à abandonner. La valeur par défaut est zéro, désignant le début du système de fichiers.

-l, --length longueur
    Le nombre d'octets après le point de départ pour chercher des blocs libres à abandonner. Si la valeur indiquée prolonge la recherche au-delà de la fin du système de fichiers, fstrim s'arrêtera à la frontière de taille du système de fichiers. La valeur par défaut prolonge la recherche jusqu'à la fin du système de fichiers.

-m, --minimum extent-mini-libre
    L'intervalle libre contigu minimal à abandonner, en octet (cette valeur est arrondie en interne à un multiple de la taille d'un bloc du système de fichier). Les intervalles libres plus petits que cela seront ignorés. En augmentant cette valeur, l'opération fstrim se terminera plus rapidement pour les systèmes de fichiers avec des espaces libres mal fragmentés, même si tous les blocs libres ne sont pas abandonnés. La valeur par défaut est zéro, pour abandonner tous les blocs libres.

-v, --verbose
    Exécution bavarde. Si indiquée, fstrim affichera le nombre d'octets transmis du système de fichiers par la pile de bloc vers le périphérique pour abandon éventuel. Ce nombre est un montant maximal d'abandon d'un point de vue du périphérique de stockage, parce que l'ioctl FITRIM appelé plusieurs fois continuera à répéter l'envoi des mêmes secteurs pour abandon.

    fstrim signalera à chaque fois les mêmes octets à abandonner, mais seuls les secteurs sur lesquels une écriture a eu lieu entre les abandons seront vraiment abandonnés par le périphérique de stockage. De plus, la couche bloc du noyau se réserve le droit d'ajuster les intervalles d'abandon pour s'ajuster à la géométrie des bandes RAID, aux périphériques ne pouvant pas être rognés dans une configuration LVM, etc. Ces réductions ne seront pas reflétées par fstrim_range.len (l'option --length).

AUTEUR
Lukas Czerner <lczerner@redhat.com>
Karel Zak <kzak@redhat.com>

VOIR AUSSI
mount(8)

DISPONIBILITÉ
La commande fstrim fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.